Bug 27108 - Update team for 21.05 cycle
Summary: Update team for 21.05 cycle
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-27 14:07 UTC by Martin Renvoize
Modified: 2020-12-24 20:44 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.07, 19.11.13


Attachments
Bug 27108: Add 21.05 release team to teams.yaml (3.78 KB, patch)
2020-11-27 14:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27108: Add 21.05 release team to teams.yaml (3.85 KB, patch)
2020-11-27 14:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27108: Add 21.05 release team to teams.yaml (3.78 KB, patch)
2020-11-27 14:30 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27108: (QA follow-up) Fix Agustin and Documentation manager (972 bytes, patch)
2020-11-27 14:33 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27108: Add 21.05 release team to teams.yaml (3.91 KB, patch)
2020-11-27 14:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-11-27 14:07:49 UTC
We need to update the docs/teams.yaml file to capture the 21.05 team for the 20.11 release.
Comment 1 Martin Renvoize 2020-11-27 14:11:58 UTC
Created attachment 114043 [details] [review]
Bug 27108: Add 21.05 release team to teams.yaml

This patch update the docs/teams.yaml file to add the elected 21.05
release team and update the include to reflect the minor change of
structure.

Test plan.
1/ Apply the patch
2/ Update Koha.pm to state 20.11.00.000
3/ Update preferences to Version to 20.1100000
4/ Navigate to the about page
5/ Note that the 20.11 team is shown on the left and the new 21.05 team
is shown on the right.
6/ Pay particular attention to the 'Packaging manager' on the left and
'Packaging team' on the right. (We have not had a team of packaging
people before, so the template had to be updated to allow for an array
of packaging people).
7/ Signoff.
Comment 2 Jonathan Druart 2020-11-27 14:21:04 UTC
Will be part of 20.11.00, considering it pushed.
Thanks Martin!
Comment 3 Jonathan Druart 2020-11-27 14:23:43 UTC
Created attachment 114044 [details] [review]
Bug 27108: Add 21.05 release team to teams.yaml

This patch update the docs/teams.yaml file to add the elected 21.05
release team and update the include to reflect the minor change of
structure.

Test plan.
1/ Apply the patch
2/ Update Koha.pm to state 20.11.00.000
3/ Update preferences to Version to 20.1100000
4/ Navigate to the about page
5/ Note that the 20.11 team is shown on the left and the new 21.05 team
is shown on the right.
6/ Pay particular attention to the 'Packaging manager' on the left and
'Packaging team' on the right. (We have not had a team of packaging
people before, so the template had to be updated to allow for an array
of packaging people).
7/ Signoff.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2020-11-27 14:30:53 UTC
Created attachment 114045 [details] [review]
Bug 27108: Add 21.05 release team to teams.yaml

This patch update the docs/teams.yaml file to add the elected 21.05
release team and update the include to reflect the minor change of
structure.

Test plan.
1/ Apply the patch
2/ Update Koha.pm to state 20.11.00.000
3/ Update preferences to Version to 20.1100000
4/ Navigate to the about page
5/ Note that the 20.11 team is shown on the left and the new 21.05 team
is shown on the right.
6/ Pay particular attention to the 'Packaging manager' on the left and
'Packaging team' on the right. (We have not had a team of packaging
people before, so the template had to be updated to allow for an array
of packaging people).
7/ Signoff.
Comment 5 Martin Renvoize 2020-11-27 14:33:28 UTC
Created attachment 114046 [details] [review]
Bug 27108: (QA follow-up) Fix Agustin and Documentation manager
Comment 6 Jonathan Druart 2020-11-27 14:45:11 UTC
Created attachment 114047 [details] [review]
Bug 27108: Add 21.05 release team to teams.yaml

This patch update the docs/teams.yaml file to add the elected 21.05
release team and update the include to reflect the minor change of
structure.

Test plan.
1/ Apply the patch
2/ Update Koha.pm to state 20.11.00.000
3/ Update preferences to Version to 20.1100000
4/ Navigate to the about page
5/ Note that the 20.11 team is shown on the left and the new 21.05 team
is shown on the right.
6/ Pay particular attention to the 'Packaging manager' on the left and
'Packaging team' on the right. (We have not had a team of packaging
people before, so the template had to be updated to allow for an array
of packaging people).
7/ Signoff.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Bug 27108: (QA follow-up) Fix Agustin and Documentation manager
Comment 7 Andrew Fuerste-Henry 2020-12-17 14:32:47 UTC
Pushed to 20.05.x for 20.05.07
Comment 8 Victor Grousset/tuxayo 2020-12-17 16:20:24 UTC
> 2/ Update Koha.pm to state 20.11.00.000
> 3/ Update preferences to Version to 20.1100000

Does that mean that only 20.11 will see a difference with this patch?
i.e. should it be backported?
Comment 9 Jonathan Druart 2020-12-18 08:22:45 UTC
This was for 20.11 only. Need to be reverted from 20.05.
Comment 10 Jonathan Druart 2020-12-18 09:15:34 UTC
(In reply to Jonathan Druart from comment #9)
> This was for 20.11 only. Need to be reverted from 20.05.

Don't revert!

ashimema> not sure it does Joubu?
Joubu> ashimema: hum, why not?
ashimema> it'll be the 21.06 stuff it gets the 'Current maintenance team' from
ashimema> so.. the column on the right of the 'Koha team' page changes every six months now to reflect the new team ;)
ashimema> we don't remove anything.. we just add to that teams yaml file
ashimema> so backporting for the three support releases is the right thing to do.. I think
ashimema> that way.. if people are actually updating each month, they'll have the correct information available should that want to know who the current maintenance team is. :)
Joubu> you are right, it will only add the "21.05" roles next to the names
Comment 11 Martin Renvoize 2020-12-18 10:08:04 UTC
Minor correction..

What this patch actually does is just append the 21.05 team to the end of the teams.yml file.

This has the effect of adding 21.05 roles next to individuals names in the overall list of contributors and also updates the entirety of the column on the right side of the 'Koha team' page to reflect the new maintenance team for this six months (and updates the date for when these roles 'expire')

In other words.. it should be backported to all maintenance versions :)
Comment 12 Andrew Fuerste-Henry 2020-12-18 13:06:32 UTC
Phew! I did ponder this one a while, glad I jumped the right way.
Comment 13 Victor Grousset/tuxayo 2020-12-24 20:29:52 UTC
Backporting to 19.11.x:

Why do we have IF t.packaging.size / 2 == 1 to condition the part where there is one person ?

            [% IF t.packaging.size / 2 == 1 %]
            <li><strong>Packaging manager:</strong>
                [% INCLUDE person p=t.packaging %]
            </li>
            [% ELSE %]
            <li><strong>Packaging team:</strong>


For the 19.11 cycle, packaging has only one person. Which makes the code go to the ELSE branch and display an empty packaging team.
Comment 14 Victor Grousset/tuxayo 2020-12-24 20:44:04 UTC
Meanwhile, backported to 19.11.x branch for 19.11.13 as it fixes the whole current team. And checked that teams.yaml about-team.inc are the same as 20.05 and master.